Open CASCADE Technology: TColStd_Array2OfCharacter Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TColStd_Array2OfCharacter Class Reference

`#include <TColStd_Array2OfCharacter.hxx>`

## Public Member Functions
| TColStd_Array2OfCharacter (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
| TColStd_Array2OfCharacter (const Standard_Character &Item, const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
void | Init (const Standard_Character &V)
void | Destroy ()
| ~TColStd_Array2OfCharacter ()
const TColStd_Array2OfCharacter & | Assign (const TColStd_Array2OfCharacter &Other)
const TColStd_Array2OfCharacter & | operator= (const TColStd_Array2OfCharacter &Other)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Standard_Character &Value)
const Standard_Character & | Value (const Standard_Integer Row, const Standard_Integer Col) const
const Standard_Character & | operator() (const Standard_Integer Row, const Standard_Integer Col) const
Standard_Character & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
Standard_Character & | operator() (const Standard_Integer Row, const Standard_Integer Col)

## Constructor & Destructor Documentation

TColStd_Array2OfCharacter::TColStd_Array2OfCharacter | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |  |

TColStd_Array2OfCharacter::TColStd_Array2OfCharacter | ( | const Standard_Character & | Item,
|  | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |  |

TColStd_Array2OfCharacter::~TColStd_Array2OfCharacter | ( |  | ) |
| inline

## Member Function Documentation

const TColStd_Array2OfCharacter& TColStd_Array2OfCharacter::Assign | ( | const TColStd_Array2OfCharacter & | Other | ) |

Standard_Character& TColStd_Array2OfCharacter::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  |

Standard_Integer TColStd_Array2OfCharacter::ColLength | ( |  | ) | const

void TColStd_Array2OfCharacter::Destroy | ( |  | ) |

void TColStd_Array2OfCharacter::Init | ( | const Standard_Character & | V | ) |

Standard_Integer TColStd_Array2OfCharacter::LowerCol | ( |  | ) | const

Standard_Integer TColStd_Array2OfCharacter::LowerRow | ( |  | ) | const

const Standard_Character& TColStd_Array2OfCharacter::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  | const
| inline

Standard_Character& TColStd_Array2OfCharacter::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  |
| inline

const TColStd_Array2OfCharacter& TColStd_Array2OfCharacter::operator= | ( | const TColStd_Array2OfCharacter & | Other | ) |
| inline

Standard_Integer TColStd_Array2OfCharacter::RowLength | ( |  | ) | const

void TColStd_Array2OfCharacter::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Standard_Character & | Value
| ) |  |

Standard_Integer TColStd_Array2OfCharacter::UpperCol | ( |  | ) | const

Standard_Integer TColStd_Array2OfCharacter::UpperRow | ( |  | ) | const

const Standard_Character& TColStd_Array2OfCharacter::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  | const

The documentation for this class was generated from the following file:

- TColStd_Array2OfCharacter.hxx